WAFFLE_ENUM(3)

NAME
waffle_enum, waffle_enum_to_string - Utilities for waffle enums

SYNOPSIS

#include <waffle.h>

enum waffle_enum {...};

const char* waffle_enum_to_string(int32_t e);

DESCRIPTION

waffle_enum_to_string()
    Convert an waffle_enum token to a string. For example, convert WAFFLE_DONT_CARE to "WAFFLE_DONT_CARE". Return null if the token is not a valid waffle_enum.

    This function always sets the error code to WAFFLE_NO_ERROR. It can be called before waffle has been successfully initialized with waffle_init(3)

ISSUES

Please report bugs or and feature requests to https://gitlab.freedesktop.org/mesa/waffle/issues.

SEE ALSO

waffle(7)

AUTHOR

Chad Versace <chad.versace@linux.intel.com>
    Former maintainer

COPYRIGHT
Copyright © 2013 Intel

This manual page is licensed under the Creative Commons Attribution-ShareAlike 3.0 United States License (CC BY-SA 3.0). To view a copy of this license, visit http://creativecommons.org.license/by-sa/3.0/us.